import { createSignal } from "solid-js";
import { ClassroomCourse } from "../../types/ClassroomCourse";
import { Person } from "../../types/Person";
import { CoursesList } from "./Courses";
import { Message } from "./Message";

export function ClassroomUserCourses(props: {userid: number, updateSignal: number, person: Person}) {
    const [courses, setCourses] = createSignal<Array<ClassroomCourse>>([]);

    return (
        <div class="flex gap-2 flex-wrap">
            <CoursesList
                userid={props.userid}
                updateSignal={props.updateSignal}
                courses={courses()}
                setCourses={setCourses}
            />

            <Message courses={courses()} person={props.person} />
        </div>
    );
}
